> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Get 1

> GET /project/{projectId}/scenario/{scenarioId}/activity/{activityId}



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **activityId** (integer(int64))

- **projectId** (integer(int64))

- **scenarioId** (integer(int64))


### Query parameters

- **dataDate** (string)



## Responses
### 200
OK

#### Body: */* (object)
- **id** (integer(int64))

- **calendarId** (integer(int64))

- **scenarioId** (integer(int64))

- **externalProjectId** (integer(int32))

- **dateCreated** (string(date))

- **customId** (string)

- **name** (string)

- **order** (integer(int32))

- **performanceTrack** (boolean)

- **startDate** (string(date-time))

- **finishDate** (string(date-time))

- **lateStartDate** (string(date-time))

- **lateFinishDate** (string(date-time))

- **constrainedDate** (string(date-time))

- **constraintType** (string)

- **resumeDate** (string(date-time))

- **updatedPlannedDuration** (number(double))

- **updatedPlannedDurationHours** (number(double))

- **plannedDuration** (number(double))

- **plannedDurationHours** (number(double))

- **plannedManpower** (number(double))

- **actualManpower** (number(double))

- **plannedBudget** (number(double))

- **plannedStartDate** (string(date-time))

- **plannedFinishDate** (string(date-time))

- **percentComplete** (number(double))

- **floatTotal** (number(double))

- **nativeFloatTotal** (number(double))

- **floatFree** (number(double))

- **remainingDuration** (number(double))

- **remainingDurationHours** (number(double))

- **actualDuration** (number(double))

- **actualDurationHours** (number(double))

- **actualStartDate** (string(date-time))

- **actualFinishDate** (string(date-time))

- **activityType** (string)

- **constraintGenerated** (boolean)

- **wbsCodeId** (integer(int32))

- **retainLogic** (boolean)

- **externalId** (string)

- **isExcludeFromProgress** (boolean)

- **percentCompleteType** (string)

- **physicalPercentComplete** (number(double))

- **unitsPercentComplete** (number(double))

- **predecessorDrivers** (array[integer(int64)])

- **inLongestPath** (boolean)

- **conditionalBreakType** (string)

- **startOnNewDay** (boolean)

- **sourceStartDate** (string(date-time))

- **sourceFinishDate** (string(date-time))

- **sourceActualStartDate** (string(date-time))

- **sourceActualFinishDate** (string(date-time))

- **sourceDurationPercentComplete** (number(double))

- **deleted** (boolean)

- **activityCodes** (array[integer(int64)])

- **currentDuration** (number(double))

- **baselines** (array[object])

- **notComplete** (boolean)

- **started** (boolean)

- **completed** (boolean)



[Powered by Bump.sh](https://bump.sh)
